# Product Rate Plan Definitions

**Note** - The APIs in this section are legacy APIs. Zuora recommends using the newer, faster APIs for managing products and catalogs more efficiently instead.
For more information, see our latest <a href="https://developer.zuora.com/v1-api-reference/api/tag/Commerce/"
target="_blank">Commerce API</a>.


Use product rate plan definitions to reuse charges in different product
rate plans. The Product Rate Plan Definition object is in the **Early Adopter**
phase. We are actively soliciting feedback from a small set of early adopters
before releasing it as generally available. If you are interested, please reach
out to your CSM. 


## Create a product rate plan definition

 - [POST /v1/product-rateplan-definitions](https://developer.zuora.com/v1-api-reference/api/product-rate-plan-definitions/post_createproductrateplandefinition.md): Creates a product rate plan definition to use a charge in a product rate plan.

In the request, you must specify either the unique ID or number of both the charge and the product rate plan to add the specified charge to a specific rate plan.

Note: This operation requires the Attribute-based Pricing feature to be enabled, which is in the Early Adopter phase.

## List product rate plan definitions

 - [GET /v1/product-rateplan-definitions](https://developer.zuora.com/v1-api-reference/api/product-rate-plan-definitions/get_retrieveproductrateplandefinitions.md): Retrieves basic information about the product rate plan definitions for a product rate plan. 

Note: This operation requires the Attribute-based Pricing feature to be enabled, which is in the Early Adopter phase.

## Retrieve a product rate plan definition

 - [GET /v1/product-rateplan-definitions/{product-rateplan-definition-key}](https://developer.zuora.com/v1-api-reference/api/product-rate-plan-definitions/get_retrieveproductrateplandefinition.md): Retrieves basic information about a product rate plan definition.

Note: This operation requires the Attribute-based Pricing feature to be enabled, which is in the Early Adopter phase.

## Delete a product rate plan definition

 - [DELETE /v1/product-rateplan-definitions/{product-rateplan-definition-key}](https://developer.zuora.com/v1-api-reference/api/product-rate-plan-definitions/delete_productrateplandefnition.md): Deletes a product rate plan definition.

Note: This operation requires the Attribute-based Pricing feature to be enabled, which is in the Early Adopter phase.

